"use strict"; 
function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }
 
// DataTables Demo
// =============================================================

 
var DataTablesDemo = /*#__PURE__*/function () {
  function DataTablesDemo() {
    _classCallCheck(this, DataTablesDemo); 
    this.init();
  } 
  _createClass(DataTablesDemo, [{
    key: "init",
    value: function init() {
      // event handlers
      this.table = this.table();
      this.searchRecords();  
     
      this.table.buttons().container().appendTo('#dt-buttons').unwrap();
    }
  }, {
    key: "table",
    value: function table() {
      return $('#STAT_DE_VENTE').DataTable({
        dom: "<'text-muted'Bi>\n        <'table-responsive'tr>\n        <'pagination justify-content-center mt-4'p>",
        buttons: ['copyHtml5', {
          extend: 'print',
          autoPrint: true
        }, {
          extend: 'excelHtml5',
          text: 'Export to Excel'
        }],
        language: {
          paginate: {
            previous: '<i class="fa fa-lg fa-angle-left"></i>',
            next: '<i class="fa fa-lg fa-angle-right"></i>'
          }
        },
        autoWidth: true,
        width: "100%",
        ajax: 'assets/data/vente_etat.php?dt='+mydt,
        deferRender: true,
        order: [1, 'asc'],
        columns: [  
		{
          data: 'etat',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'date_vente',
          className: 'align-middle text-center',
		  orderable: true,
          searchable: true
        }, {
          data: 'nom_ste',
          className: 'align-middle',
          orderable: true,
          searchable: true
        }, {  
          data: 'cin_client',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        },  {
          data: 'nom_pernom',
          className: 'align-middle',
          orderable: true,
          searchable: true
        },  {
          data: 'num_sim',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'forfait',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'prix_vente',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }, {
          data: 'mnt_paie',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        } , {
          data: 'commercial',
          className: 'align-middle',
          orderable: true,
          searchable: true
        }, {
          data: 'etat_paie',
          className: 'align-middle text-center',
          orderable: true,
          searchable: true
        }  ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) {
			  if(row.etat=="activé")
			  return"<span class=\"record-icon green pulse mr-1\"></span>";
		      else
			  return"<span class=\"record-icon red pulse mr-1\"></span> ";
               
          }
        },{
          targets: 1,
          render: function render(data, type, row, meta) {
            return row.date_vente ;
          }
        }, {
          targets: 2,
          render: function render(data, type, row, meta) {
             return row.nom_ste ;
			 }
        }, { 
          targets: 3,
          render: function render(data, type, row, meta) {
            return row.cin_client ;
          }
        } , {
          targets: 4,
          render: function render(data, type, row, meta) {
            return row.nom_pernom ;
          }
        }, {
          targets: 5,
          render: function render(data, type, row, meta) {
            return row.num_sim ;
          }
        }, {
          targets: 6,
          render: function render(data, type, row, meta) {
            return row.forfait ;
          }
        }, {
          targets: 7,
          render: function render(data, type, row, meta) {
            return row.prix_vente ;
          }
        },{
          targets: 8,
          render: function render(data, type, row, meta) {
            return row.mnt_paie ;
          }
        }, {
          targets: 9,
          render: function render(data, type, row, meta) {
            return row.commercial ;
          }
        },  {
          targets: 10,
          render: function render(data, type, row, meta) {
		  if(row.etat_paie=="Impayé")
			  return"<span class='badge badge-danger'>Impayé</span>";
		      else
			if(row.etat_paie=="Payé")
			  return"<span class='badge badge-success'>Payé</span>";
		      else	  
               return"<span class='badge badge-warning'>"+row.etat_paie+"</span>";
		}},  {
          targets: 11,
          render: function render(data, type, row, meta) {
            return "<a title='Encaissement des ventes' class=\"btn btn-sm btn-icon btn-secondary\" data-bs-toggle=\"modal\" data-bs-target=\"#paiement_MODAL\" onclick=\"edit_SIM('".concat(row.num_sim, "','"+row.prix_vente+"','"+row.etat_paie+"')\"><i class=\"fa fa-address-card\" ></i></a>\n          <a href='?PRINT=VENT&N="+btoa(row.num_sim)+"' title='imprimer cette vente' class=\"btn btn-sm btn-icon btn-secondary myLink\"><i class=\"fa fa-print\"></i></a>");
          }
        }  ]
      });
    }
  }, {
    key: "searchRecords",
    value: function searchRecords() {
      var self = this;
      $('#table-search, #filterBy').on('keyup change focus', function (e) {
        var filterBy = $('#filterBy').val();
        var hasFilter = filterBy !== '';
        var value = $('#table-search').val(); // clear selected rows

        if (value.length && (e.type === 'keyup' || e.type === 'change')) {
          self.clearSelectedRows();
        } // reset search term


        self.table.search('').columns().search('').draw();

        if (hasFilter) {
          self.table.columns(filterBy).search(value).draw();
        } else {
          self.table.search(value).draw();
        }
      });
    }
  } ,  {
    key: "clearSelected",
    value: function clearSelected() {
      var self = this; // clear selected rows

      $('#STAT_DE_VENTE').on('page.dt', function () {
        self.clearSelectedRows();
      });
      $('#clear-search').on('click', function () {
        self.clearSelectedRows();
      });
    }
  }, {
    key: "clearSelectedRows",
    value: function clearSelectedRows() {
      $('#check-handle').prop('indeterminate', false).prop('checked', false).trigger('change');
    }
  }
  ]);

  return DataTablesDemo;
}(); 
 
$(document).on('theme:init', function () {
  new DataTablesDemo();

});
 
var mydt=document.getElementById("mois").value;
  function recherche_mois() { 
	  mydt = document.getElementById("mois").value;    
	 $('#STAT_DE_VENTE').DataTable().ajax.url('assets/data/vente_etat.php?dt='+mydt).load();
  }
  var num_sim="";
  var prix_vente="";
   function edit_SIM(sim,prix_v,etat_paie) {
num_sim=sim;
prix_vente=prix_v;
document.getElementById("etat_paie").value=etat_paie
	var SIM_NUMBER = document.getElementById("SIM_NUMBER"); 
		SIM_NUMBER.innerHTML = num_sim ;
		document.getElementById("montant").value=prix_vente; 
  }
  
    		
function Update(){  
  var etat_paie = document.getElementById('etat_paie').value;
  var montant = document.getElementById('montant').value;
  var dte=  document.getElementById('mois').value; 
if((num_sim!="")&&(montant!="")&&(etat_paie.trim()!="")){ 
    var xhttp = new XMLHttpRequest();
   xhttp.onreadystatechange = function() {  
     if (this.readyState == 4 && this.status == 200) {  
			 if(this.responseText.trim()==="success") {
               alert_success();
             // Récupérer le numéro de la page actuelle
			var currentPage = $('#STAT_DE_VENTE').DataTable().page(); 
			// Recharger les données de la table avec Ajax
			$('#STAT_DE_VENTE').DataTable().ajax.reload(function() {
				// Après le rechargement des données, rétablir la page actuelle
				$('#STAT_DE_VENTE').DataTable().page(currentPage).draw(false);
			});
		   // var modal = document.getElementById("exampleModal"); 
               // modal.style.display = "none";
			 }else
			  alert_msg("La mise à jour a échoué","warning");
	}
	 
  };  
  xhttp.open("POST", "assets/data/Vente_encaissement.php", true);
  xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
  xhttp.send("num_sim=" + num_sim + "&montant=" + montant+ "&etat_paie=" + etat_paie+ "&dte=" + dte+"&prix_vente=" + prix_vente);
  }else
	alert_msg("Choisir Numéro et forfait","warning"); 
 

} 
 