const inputFile = document.getElementById('uploadfile');
const previewImage = document.getElementById('previewImage');

inputFile.addEventListener('change', function() {
  const file = this.files[0];
  const reader = new FileReader();
  reader.addEventListener('load', function() {
    previewImage.src = reader.result;
  });
  reader.readAsDataURL(file);
});
  // Sélection de l'élément de tableau dans le HTML
var tables = document.getElementById("personnel");

// Création de l'objet DataTable avec les options de base et Ajax
$(tables).DataTable({ "dom": 'rt<"bottom"ip><"clear">',
    "language": {
      "info": "Showing _START_ to _END_ of _TOTAL_ entries"
    },
  ajax: {
    url: "assets/data/json_list_per.php", // Chemin du fichier JSON à utiliser
    type: "GET"
  },    responsive: true, // Rendre le tableau responsive 
 
         order: [0, 'asc'],
        columns: [  {
          data: 'name',
          className: 'align-middle'
        } ],
        columnDefs: [  {
          targets: 0,
          render: function render(data, type, row, meta) { 
           return "<a href='' onclick=personnel('".concat(row.cin, "') >").concat(row.Name,"</a>") ;
          }
        }]
  
});
$(document).ready(function() {
    var table = $(tables).DataTable(); 
    // Appliquer la recherche personnalisÃ©e
    $('#find_per').on('keyup', function() {
      table.search(this.value).draw();
    });
  });
function personnel(cin){
	 event.preventDefault(); 
	fetch('assets/data/json_list_per.php?cin='+cin)
        .then(function(response) { 
          return response.json();
        })
        .then(function(data1) {  
		$('input[type="text"]').removeClass('placeholder-shown');
		  document.getElementById('ensien_cin').value = data1[0]['cin'];
		  document.getElementById('cin_per').value = data1[0]['cin'];
          document.getElementById('name_per').value = data1[0]['Name'];
          document.getElementById('dt_ness').value = data1[0]['date_ness'];
          document.getElementById('Tel').value = data1[0]['tel'];
          document.getElementById('email_per').value = data1[0]['email'];
          document.getElementById('Adresse').value = data1[0]['adresse'];
		  document.getElementById('fonction').value = data1[0]['fonction'];
          document.getElementById('gouv').value = data1[0]['gouv'];
          document.getElementById('position').value = data1[0]['position'];
		  if(data1[0]['etat']=="Actif")
          document.getElementById('etat_per').checked = true;
		  else
          document.getElementById('etat_per').checked = false;	
		  var image = document.getElementById("previewImage");
          image.setAttribute("src", "assets/data/photo_personnel/"+data1[0]['photo']+"?v="+Date.now() ); 
			image.onerror = function() {
			  image.src = "assets/images/avatars/images.png";
			};
		  
        })
        .catch(function(err) {
          console.log('Erreur: ' + err.message);
        });
	
} 